Summary: binutils cross-devel for ppc64
Name: cross-ppc64-binutils
Version: 2.13.90.0.16
Release: 6
Copyright: GPL
Group: Development/Tools
URL: http://sources.redhat.com/
Source: ftp://ftp.kernel.org/pub/linux/devel/binutils/binutils-%{version}.tar.bz2

Patch1: binutils-2.13.90.0.16-sparc-nonpic.patch
Patch2: binutils-2.13.90.0.16-ia64-brl.patch
Patch3: binutils-2.13.90.0.16-rodata-cst.patch
Patch4: binutils-2.13.90.0.16-eh-frame-ro.patch
Patch5: binutils-2.13.90.0.16-ppc-apuinfo.patch
Patch6: binutils-2.13.90.0.16-stt_tls.patch
Patch7: binutils-2.13.90.0.16-ia64-bootstrap.patch
Patch8: binutils-2.13.90.0.16-tls-strip.patch
Patch9: binutils-2.13.90.0.16-ia64-tls.patch
Patch10: binutils-2.13.90.0.16-alpha-plt.patch
Patch11: binutils-2.13.90.0.16-ia64-tls2.patch
Patch12: binutils-2.13.90.0.16-array-sects-compat.patch
Patch13: binutils-2.13.90.0.16-s390-relocs.patch
Patch14: binutils-2.13.90.0.16-s390-tls.patch
Patch15: binutils-2.13.90.0.16-s390-sub-same.patch

Obsoletes: cross-binutils-ppc64

BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: texinfo >= 4.0
BuildRequires: cross-ppc64-gcc >= 3.2.1

ExclusiveArch: ppc ppc64

%define _gnu %{nil}

%description
binutils 2.12 cross-development utilities for the ppc64 kernel

%prep
%setup -q -c %{name}-%{version}
cd ${RPM_BUILD_DIR}/%{name}-%{version}
mv -f ${RPM_BUILD_DIR}/%{name}-%{version} ${RPM_BUILD_DIR}/%{name}-%{version}.tmp
mv -f ${RPM_BUILD_DIR}/%{name}-%{version}.tmp/binutils-%{version} ${RPM_BUILD_DIR}/%{name}-%{version}
rm -rf ${RPM_BUILD_DIR}/%{name}-%{version}.tmp
cd ${RPM_BUILD_DIR}/%{name}-%{version}

%patch1 -p0 -b .sparc-nonpic~
%patch2 -p0 -b .ia64-brl~
%patch3 -p0 -b .rodata-cst~
%patch4 -p0 -b .eh-frame-ro~
%patch5 -p0 -b .ppc-apuinfo~
%patch6 -p0 -b .stt_tls~
%patch7 -p0 -b .ia64-bootstrap~
%patch8 -p0 -b .tls-strip~
%patch9 -p0 -b .ia64-tls~
%patch10 -p0 -b .alpha-plt~
%patch11 -p0 -b .ia64-tls2~
%ifarch %{ix86}
%patch12 -p0 -b .array-sects-compat~
%endif
%patch13 -p0 -b .s390-reloc~
%patch14 -p0 -b .s390-tls~
%patch15 -p0 -b .s390-sub-same~

%build
ENABLE_64BIT=
%ifarch sparc ppc s390
ENABLE_64BIT=--enable-64-bit-bfd
%endif

%define _prefix /opt/ppc64

./configure \
	--prefix=%{_prefix} \
	--host=powerpc-linux \
	--target=powerpc64-linux \
	--enable-targets=powerpc64-linux \
	--disable-nls $ENABLE_64BIT

make %{_smp_mflags} tooldir=%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
strip ${RPM_BUILD_ROOT}%{_prefix}/bin/*
install -m 644 -D include/libiberty.h ${RPM_BUILD_ROOT}%{_prefix}/include/libiberty.h
rm -rf $RPM_BUILD_ROOT%{_prefix}/share $RPM_BUILD_ROOT/usr/share

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/opt/ppc64

%changelog
* Tue Jan 28 2003 Guy Streeter <streeter@redhat.com>
- 8.0.1

* Wed Oct 23 2002 Guy Streeter <streeter@redhat.com>
- use /opt/ppc64 instead of /usr/local

* Wed Oct 16 2002 Guy Streeter <streeter@redhat.com>
- 8.0 binutils

* Fri Apr 19 2002 Guy Streeter <streeter@redhat.com>
- Initial build.


